Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.util
Class UserInfo

    java.lang.Object
      com.plumtree.remote.util.NamedValueMap
          com.plumtree.remote.util.UserInfo

public class UserInfo
extends NamedValueMap

A `NamedValueMap` for storing User Information settings.

Field Summary
`static java.lang.String` | `USERINFO_ACCESSINGFROMINTRANET` accessing from Intranet
`static java.lang.String` | `USERINFO_DEPARTMENT` department
`static java.lang.String` | `USERINFO_EMAIL` email
`static java.lang.String` | `USERINFO_EMPLOYEEID` employee id
`static java.lang.String` | `USERINFO_FULLNAME` full name
`static java.lang.String` | `USERINFO_MANAGER` manager
`static java.lang.String` | `USERINFO_PHONE` phone
`static java.lang.String` | `USERINFO_PROFILEUSERID` profile user id
`static java.lang.String` | `USERINFO_TITLE` title
`static java.lang.String` | `USERINFO_ZIPCODE` zipcode

Constructor Summary
`UserInfo()` Default constructor.
`UserInfo(NamedValue[] nvArray)` Valued constructor.

Methods inherited from class com.plumtree.remote.util.NamedValueMap
`fromArray, get, put, put, remove, remove, toArray, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### USERINFO_FULLNAME

    public static java.lang.String USERINFO_FULLNAME

  full name

### USERINFO_EMAIL

    public static java.lang.String USERINFO_EMAIL

  email

### USERINFO_PHONE

    public static java.lang.String USERINFO_PHONE

  phone

### USERINFO_EMPLOYEEID

    public static java.lang.String USERINFO_EMPLOYEEID

  employee id

### USERINFO_DEPARTMENT

    public static java.lang.String USERINFO_DEPARTMENT

  department

### USERINFO_TITLE

    public static java.lang.String USERINFO_TITLE

  title

### USERINFO_ZIPCODE

    public static java.lang.String USERINFO_ZIPCODE

  zipcode

### USERINFO_MANAGER

    public static java.lang.String USERINFO_MANAGER

  manager

### USERINFO_ACCESSINGFROMINTRANET

    public static java.lang.String USERINFO_ACCESSINGFROMINTRANET

  accessing from Intranet

### USERINFO_PROFILEUSERID

    public static java.lang.String USERINFO_PROFILEUSERID

  profile user id

Constructor Detail

### UserInfo

    public UserInfo()

  Default constructor.

### UserInfo

    public UserInfo(NamedValue[] nvArray)

  Valued constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.